## azr3-jack 1.2.3

=== Makefile ===
PACKAGE_NAME = azr3-jack
PACKAGE_VERSION = 1.2.3
PACKAGE_DISPLAY_NAME = AZR3-JACK
define PACKAGE_DESCRIPTION
This JACK program is a port of the free VST plugin AZR-3. It is a
tonewheel organ with drawbars, distortion and rotating speakers.
The original was written by Rumpelrausch Täips.
endef
PACKAGE_WEBPAGE = "http://ll-plugins.nongnu.org/azr3/"
PACKAGE_BUGTRACKER = "https://savannah.nongnu.org/bugs/?group=ll-plugins"
PACKAGE_VC = "http://git.savannah.gnu.org/cgit/ll-plugins/azr3-jack.git/"

PKG_DEPS = gtkmm-2.4>=2.8.8 jack>=0.103.0 lash-1.0>=0.5.3


PROGRAMS = azr3

MANUALS = azr3.1

azr3_SOURCES = \
	main.cpp main.hpp \
	azr3.cpp azr3.hpp \
	globals.hpp \
	filters.hpp \
	fx.hpp fx.cpp \
	newjack.hpp \
	optionparser.cpp optionparser.hpp \
	voice_classes.hpp voice_classes.cpp \
	azr3gui.cpp azr3gui.hpp \
	knob.hpp knob.cpp \
	switch.hpp switch.cpp \
	drawbar.hpp drawbar.cpp \
	textbox.hpp textbox.cpp
azr3_SOURCEDIR = azr3
azr3_CFLAGS = `pkg-config --cflags gtkmm-2.4 jack lash-1.0` -DDATADIR=\"$(pkgdatadir)\"
azr3_LDFLAGS = `pkg-config --libs gtkmm-2.4 jack lash-1.0`
azr3_cpp_CFLAGS = $(shell if pkg-config --atleast-version=0.107 jack ; then echo -include azr3/newjack.hpp; fi)
main_cpp_CFLAGS = -DPACKAGE_VERSION=\"$(PACKAGE_VERSION)\"

DATA = \
	azr3/presets \
	azr3/cknob.png azr3/minioffon.png azr3/onoffgreen.png azr3/panelfx.png azr3/vonoff.png azr3/voice.png azr3/num_yellow.png azr3/dbblack.png azr3/dbbrown.png azr3/dbwhite.png

DOCS = AUTHORS COPYING README ChangeLog


# Do the magic
include Makefile.template

=== debian/changelog ===
azr3-jack (1.2.3-1) unstable; urgency=low

  * Initial release. (Closes: #628101)

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 May 2011 18:04:49 +0200

=== debian/control ===
Source: azr3-jack
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libgtkmm-2.4-dev,
 libjack-dev,
 lv2-c++-tools
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/azr3-jack.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/azr3-jack.git
Homepage: http://ll-plugins.nongnu.org/azr3/

Package: azr3-jack
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Description: drawbar organ simulator
 This JACK program is a port of the free VST plugin AZR-3. It is a tonewheel
 organ with drawbars, distortion and rotating speakers. The original was
 written by Rumpelrausch Täips.
 .
 The organ has three sections, two polyphonic with 9 drawbars each and one
 monophonic bass section with 5 drawbars. The two polyphonic sections respond
 to events on MIDI channel 1 and 2, and an optional keyboard split function
 makes the bass section listen to the lower keys on channel 1.
 .
 The three sections have separate sustain and percussion switches as well as
 separate volume controls, and the two polyphonic sections have separate
 vibrato settings. All three sections are mixed and sent through the
 distortion effect and the rotating speakers simulator, where the modulation
 wheel can be used to switch between fast and slow rotation, and the fast
 and slow rotation speeds themselves can be changed separately for the lower
 and upper frequencies.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure --prefix=/usr \
			--LDFLAGS=-Wl,--as-needed

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/azr3-jack/usr/share/doc/azr3-jack/*

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/ll-plugins/azr3-jack-(.*)\.tar\.bz2
